@echo off

echo.
echo Setting up environment...
echo Long path name: %CD%

for %%f in ("%CD%") do set BASE=%%~sf
set PATH=%BASE%\bin;%BASE%\msys\bin;%BASE%\unxutils\usr\local\wbin;%BASE%\svn-bin;%BASE%\SDL\bin

cd %BASE%

echo Short path name: %BASE%

if exist run-wgl.bat ren run-wgl.bat run-wgl.dontrun
if exist run-sdl.bat ren run-sdl.bat run-sdl.dontrun

echo.
echo Building fteqcc...
cd fteqcc
make
if errorlevel 1 goto bork
copy /b fteqcc.bin fteqcc.exe
cd ..

set PATH=%PATH%;%BASE%/fteqcc

echo.
echo Building DarkPlaces...
cd darkplaces
make debug DP_MAKE_TARGET=mingw SDL_PREFIX="../SDL" CC=gcc 
if errorlevel 1 goto bork
cd ..

echo.
echo Building Nexuiz...
cd nexuiz\data
make FTEQCC="fteqcc" NEX_BUILDSYSTEM=1 DVEHICLES_ENABLED=1
if errorlevel 1 goto bork
cd ..\..

ren run-wgl.dontrun run-wgl.bat
ren run-sdl.dontrun run-sdl.bat

echo.
echo Done. You can double click run-wgl.bat or run-sdl.bat to start the game now!

goto end

:bork
echo An error has occurred (see above).

:end
pause
